#ifndef _DISPLAY_H_
#define _DISPLAY_H_

/* display() makes an array of these, sorts, and displays */
struct peritem_stat {
	unsigned int item;
	double reqcount;
	double bytecount;
	time_t first, last, timespan;
	float rps, kbps;
};

float readableNum(double num, char *suffix);

void display();
void drawMarker(void);
void displayReferrers();
void showDetail(struct peritem_stat *item_ptr, int vert_location, map *m);

void shellsort(struct peritem_stat *items, unsigned int size, int sorttype);

#endif
